<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Wiledia\Backport\Auth\Database\Menu;

class BackportMenuTableSeeder extends Seeder
{
    /**
     * Auto generated seed file.
     *
     * @return void
     */
    public function run()
    {
        $menuItems = [
            [
                'id' => 1,
                'parent_id' => 0,
                'order' => 1,
                'title' => 'System',
                'icon' => '',
                'uri' => null,
                'permission' => 'access_backend',
            ],
            [
                'id' => 2,
                'parent_id' => 0,
                'order' => 2,
                'title' => 'Dashboard',
                'icon' => 'fa-tachometer-alt',
                'uri' => '/',
                'permission' => 'access_backend',
            ],
            [
                'id' => 3,
                'parent_id' => 0,
                'order' => 3,
                'title' => 'Settings',
                'icon' => 'fa-cog',
                'uri' => 'settings',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 4,
                'parent_id' => 3,
                'order' => 4,
                'title' => 'General',
                'icon' => '',
                'uri' => 'settings/general',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 5,
                'parent_id' => 3,
                'order' => 5,
                'title' => 'Design',
                'icon' => '',
                'uri' => 'settings/design',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 6,
                'parent_id' => 3,
                'order' => 6,
                'title' => 'Theme',
                'icon' => '',
                'uri' => 'settings/theme',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 7,
                'parent_id' => 3,
                'order' => 7,
                'title' => 'Localization',
                'icon' => '',
                'uri' => 'settings/localization',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 8,
                'parent_id' => 3,
                'order' => 8,
                'title' => 'Countries',
                'icon' => '',
                'uri' => 'settings/countries',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 9,
                'parent_id' => 3,
                'order' => 9,
                'title' => 'Listing',
                'icon' => '',
                'uri' => 'settings/listing',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 10,
                'parent_id' => 3,
                'order' => 10,
                'title' => 'Game',
                'icon' => '',
                'uri' => 'settings/game',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 11,
                'parent_id' => 3,
                'order' => 11,
                'title' => 'Authentication',
                'icon' => '',
                'uri' => 'settings/auth',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 12,
                'parent_id' => 3,
                'order' => 12,
                'title' => 'Ads',
                'icon' => '',
                'uri' => 'settings/ads',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 13,
                'parent_id' => 3,
                'order' => 13,
                'title' => 'Payment',
                'icon' => '',
                'uri' => 'settings/payment',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 14,
                'parent_id' => 3,
                'order' => 14,
                'title' => 'Comment',
                'icon' => '',
                'uri' => 'settings/comment',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 15,
                'parent_id' => 3,
                'order' => 15,
                'title' => 'Notification',
                'icon' => '',
                'uri' => 'settings/notification',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 16,
                'parent_id' => 3,
                'order' => 16,
                'title' => 'Legal & Privacy',
                'icon' => '',
                'uri' => 'settings/legal',
                'permission' => 'edit_settings',
            ],
            [
                'id' => 17,
                'parent_id' => 0,
                'order' => 17,
                'title' => 'Translations',
                'icon' => 'fa-globe-europe',
                'uri' => 'language',
                'permission' => 'edit_translations',
            ],
            [
                'id' => 18,
                'parent_id' => 17,
                'order' => 18,
                'title' => 'Languages',
                'icon' => '',
                'uri' => 'language',
                'permission' => 'edit_translations',
            ],
            [
                'id' => 19,
                'parent_id' => 17,
                'order' => 19,
                'title' => 'Site Texts',
                'icon' => '',
                'uri' => 'translation/texts',
                'permission' => 'edit_translations',
            ],
            [
                'id' => 20,
                'parent_id' => 0,
                'order' => 20,
                'title' => 'Logs',
                'icon' => 'fa-history',
                'uri' => 'logs',
                'permission' => 'access_logs',
            ],
            [
                'id' => 21,
                'parent_id' => 20,
                'order' => 21,
                'title' => 'Operation',
                'icon' => '',
                'uri' => 'logs/operation',
                'permission' => 'access_logs',
            ],
            [
                'id' => 22,
                'parent_id' => 20,
                'order' => 22,
                'title' => 'Laravel',
                'icon' => '',
                'uri' => 'logs/laravel',
                'permission' => 'access_logs',
            ],
            [
                'id' => 23,
                'parent_id' => 0,
                'order' => 23,
                'title' => 'Content',
                'icon' => '',
                'uri' => null,
                'permission' => 'access_backend',
            ],
            [
                'id' => 24,
                'parent_id' => 0,
                'order' => 24,
                'title' => 'Users & Permissions',
                'icon' => 'fa-users',
                'uri' => 'users',
                'permission' => 'edit_users',
            ],
            [
                'id' => 25,
                'parent_id' => 24,
                'order' => 25,
                'title' => 'Users',
                'icon' => '',
                'uri' => 'users',
                'permission' => 'edit_users',
            ],
            [
                'id' => 26,
                'parent_id' => 24,
                'order' => 26,
                'title' => 'Roles',
                'icon' => '',
                'uri' => 'roles',
                'permission' => 'edit_users',
            ],
            [
                'id' => 27,
                'parent_id' => 24,
                'order' => 27,
                'title' => 'Permissions',
                'icon' => '',
                'uri' => 'permissions',
                'permission' => 'edit_users',
            ],
            [
                'id' => 28,
                'parent_id' => 0,
                'order' => 28,
                'title' => 'Games & Genres',
                'icon' => 'fa-gamepad',
                'uri' => 'games',
                'permission' => 'edit_games',
            ],
            [
                'id' => 29,
                'parent_id' => 28,
                'order' => 29,
                'title' => 'Games',
                'icon' => '',
                'uri' => 'games',
                'permission' => 'edit_games',
            ],
            [
                'id' => 30,
                'parent_id' => 28,
                'order' => 30,
                'title' => 'Genres',
                'icon' => '',
                'uri' => 'genres',
                'permission' => 'edit_games',
            ],
            [
                'id' => 31,
                'parent_id' => 0,
                'order' => 31,
                'title' => 'Platforms',
                'icon' => 'fa-boxes',
                'uri' => 'platforms',
                'permission' => 'edit_platforms',
            ],
            [
                'id' => 32,
                'parent_id' => 31,
                'order' => 32,
                'title' => 'Platforms',
                'icon' => '',
                'uri' => 'platforms',
                'permission' => 'edit_platforms',
            ],
            [
                'id' => 33,
                'parent_id' => 31,
                'order' => 33,
                'title' => 'Digital',
                'icon' => '',
                'uri' => 'digital',
                'permission' => 'edit_platforms',
            ],
            [
                'id' => 34,
                'parent_id' => 0,
                'order' => 34,
                'title' => 'Listings',
                'icon' => 'fa-tags',
                'uri' => 'listings',
                'permission' => 'edit_listings',
            ],
            [
                'id' => 35,
                'parent_id' => 0,
                'order' => 35,
                'title' => 'Offers',
                'icon' => 'fa-briefcase',
                'uri' => 'offers',
                'permission' => 'edit_offers',
            ],
            [
                'id' => 36,
                'parent_id' => 0,
                'order' => 36,
                'title' => 'Reports',
                'icon' => 'fa-life-ring',
                'uri' => 'reports',
                'permission' => 'edit_offers',
            ],
            [
                'id' => 37,
                'parent_id' => 0,
                'order' => 37,
                'title' => 'Payments',
                'icon' => 'fa-money-bill',
                'uri' => 'payments',
                'permission' => 'edit_payments',
            ],
            [
                'id' => 38,
                'parent_id' => 37,
                'order' => 38,
                'title' => 'Payments',
                'icon' => '',
                'uri' => 'payments',
                'permission' => 'edit_payments',
            ],
            [
                'id' => 39,
                'parent_id' => 37,
                'order' => 39,
                'title' => 'Transactions',
                'icon' => '',
                'uri' => 'transactions',
                'permission' => 'edit_payments',
            ],
            [
                'id' => 40,
                'parent_id' => 37,
                'order' => 40,
                'title' => 'Withdrawal',
                'icon' => '',
                'uri' => 'withdrawals',
                'permission' => 'edit_payments',
            ],
            [
                'id' => 41,
                'parent_id' => 0,
                'order' => 41,
                'title' => 'Ratings',
                'icon' => 'fa-thumbs-up',
                'uri' => 'ratings',
                'permission' => 'edit_ratings',
            ],
            [
                'id' => 42,
                'parent_id' => 0,
                'order' => 42,
                'title' => 'Blog',
                'icon' => 'fa-newspaper',
                'uri' => 'blog',
                'permission' => 'edit_articles',
            ],
            [
                'id' => 43,
                'parent_id' => 42,
                'order' => 43,
                'title' => 'Articles',
                'icon' => '',
                'uri' => 'articles',
                'permission' => 'edit_articles',
            ],
            [
                'id' => 44,
                'parent_id' => 42,
                'order' => 44,
                'title' => 'Categories',
                'icon' => '',
                'uri' => 'categories',
                'permission' => 'edit_articles',
            ],
            [
                'id' => 45,
                'parent_id' => 42,
                'order' => 45,
                'title' => 'Tags',
                'icon' => '',
                'uri' => 'tags',
                'permission' => 'edit_articles',
            ],
            [
                'id' => 46,
                'parent_id' => 0,
                'order' => 46,
                'title' => 'Comments',
                'icon' => 'fa-comments',
                'uri' => 'comments',
                'permission' => 'edit_comments',
            ],
            [
                'id' => 47,
                'parent_id' => 0,
                'order' => 47,
                'title' => 'Pages',
                'icon' => 'fa-file',
                'uri' => 'pages',
                'permission' => 'edit_pages',
            ],
            [
                'id' => 48,
                'parent_id' => 0,
                'order' => 48,
                'title' => 'Footer Links',
                'icon' => 'fa-list',
                'uri' => 'menu-item',
                'permission' => 'edit_pages',
            ],
        ];

        foreach ($menuItems as $menuItem) {
            Menu::firstOrCreate(
                ['id' => $menuItem['id'], 'title' => $menuItem['title']],
                $menuItem
            );
        }
    }
}
