<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Wiledia\Backport\Settings\Setting;

class SettingsTableSeeder extends Seeder
{
    public const SCRIPT_VERSION = '1.6';

    /**
     * Auto generated seed file.
     *
     * @return void
     */
    public function run(): void
    {
        $settings = [
            [
                'key'         => 'page_name',
                'name'        => 'Page Name',
                'description' => 'Name of the page',
                'value'       => 'GamePort',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => 1,
                'updated_at'  => '2017-01-09 13:36:33',
            ],
            [
                'key'         => 'meta_description',
                'name'        => 'Meta Description',
                'description' => 'Meta Description',
                'value'       => 'GamePort is the best place to sell, buy or trade your favourite video games. Join thousands of gamers from all over the world!',
                'field'       => '{"name":"value","label":"Value","type":"textarea"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => 3,
            ],
            [
                'key'         => 'contact_email',
                'name'        => 'Contact eMail',
                'description' => 'Contact eMail',
                'value'       => 'admin@gameport.com',
                'field'       => '{"name":"value","label":"Value","type":"email"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => 4,
            ],
            [
                'key'         => 'logo',
                'name'        => 'Logo',
                'description' => 'Logo',
                'value'       => 'img/logo.png',
                'field'       => '{"name":"value","label":"Value","type":"image_settings","upload":"true","hint":"min-height: 80px, transparent background. Retina logo will be generated automatically."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 1,
            ],
            [
                'key'         => 'css',
                'name'        => 'Additional CSS',
                'description' => 'css',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"textarea"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 3,
            ],
            [
                'key'         => 'currency',
                'name'        => 'Currency',
                'description' => 'currency',
                'value'       => 'EUR',
                'field'       => '{"name":"value","label":"Value","type":"select"}',
                'active'      => 2,
                'category'    => 'localization',
                'reorder'     => 1,
            ],
            [
                'key'         => 'giantbomb_key',
                'name'        => 'Giantbomb API Key',
                'description' => 'Giantbomb API Key',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'game',
                'reorder'     => 1,
            ],
            [
                'key'         => 'automatic_genres',
                'name'        => 'Add new genres automatically',
                'description' => 'Add new genres automatically',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'game',
                'reorder'     => 2,
            ],
            [
                'key'         => 'date_format',
                'name'        => 'Date Format',
                'description' => 'Date Format',
                'value'       => 'Y-m-d',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 2,
            ],
            [
                'key'         => 'time_format',
                'name'        => 'Time Format',
                'description' => 'Time Format',
                'value'       => 'H:i:s',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 3,
            ],
            [
                'key'         => 'facebook_client_id',
                'name'        => 'Facebook App-ID',
                'description' => 'facebook_client_id',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 3,
            ],
            [
                'key'         => 'facebook_client_secret',
                'name'        => 'Facebook App Secret-Key',
                'description' => 'facebook_client_secret',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 4,
            ],
            [
                'key'         => 'user_confirmation',
                'name'        => 'User need to confirm eMail',
                'description' => 'user_confirmation',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 1,
            ],
            [
                'key'         => 'twitter_client_id',
                'name'        => 'Twitter Consumer Key',
                'description' => 'twitter_client_id',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 6,
            ],
            [
                'key'         => 'twitter_client_secret',
                'name'        => 'Twitter Secret Key',
                'description' => 'twitter_client_secret',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 7,
            ],
            [
                'key'         => 'google_client_id',
                'name'        => 'Google Client-ID',
                'description' => 'google_client_id',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 9,
            ],
            [
                'key'         => 'google_client_secret',
                'name'        => 'Google Secret-ID',
                'description' => 'google_client_secret',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 10,
            ],
            [
                'key'         => 'facebook_auth',
                'name'        => 'Enable Facebook Auth',
                'description' => 'facebook_auth',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 2,
            ],
            [
                'key'         => 'twitter_auth',
                'name'        => 'Enable Twitter Auth',
                'description' => 'twitter_auth',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 5,
            ],
            [
                'key'         => 'google_auth',
                'name'        => 'Enable Google Auth',
                'description' => 'google_auth',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 8,
            ],
            [
                'key'         => 'sub_title',
                'name'        => 'Sub Title',
                'description' => 'Sub Title',
                'value'       => 'Trade, sell or buy your favourite video games!',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => 2,
            ],
            [
                'key'         => 'facebook_link',
                'name'        => 'Facebook Link',
                'description' => null,
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 5,
            ],
            [
                'key'         => 'twitter_link',
                'name'        => 'Twitter Link',
                'description' => null,
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 6,
            ],
            [
                'key'         => 'google_plus_link',
                'name'        => 'Google Plus Link',
                'description' => null,
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 7,
            ],
            [
                'key'         => 'youtube_link',
                'name'        => 'YouTube Link',
                'description' => null,
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 8,
            ],
            [
                'key'         => 'favicon',
                'name'        => 'Favicon',
                'description' => null,
                'value'       => 'img/favicon-32x32.png',
                'field'       => '{"name":"value","label":"Value","type":"image_settings","upload":"true","hint":"32x32 png, transparent background allowed. 16x16 icon will be generated automatically."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 2,
            ],
            [
                'key'         => 'default_locale',
                'name'        => 'Default Language',
                'description' => 'test',
                'value'       => 'en',
                'field'       => '{"name":"value","label":"Value","type":"select"}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 5,
            ],
            [
                'key'         => 'platform_logo',
                'name'        => 'Use platform logos instead of simple text',
                'description' => null,
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'game',
                'reorder'     => 3,
            ],
            [
                'key'         => 'js',
                'name'        => 'Additional JS',
                'description' => 'JS',
                'value'       => null,
                'field'       => '{"name":"value","label":"Value","type":"textarea"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 4,
            ],
            [
                'key'         => 'locale_selector',
                'name'        => 'Locale Selector',
                'description' => 'Locale Selector',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"User can select language in frontend."}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 4,
            ],
            [
                'key'         => 'frontpage_carousel',
                'name'        => 'New releases carousel on frontpage',
                'description' => 'New releases carousel on frontpage',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 9,
            ],
            [
                'key'         => 'google_maps_key',
                'name'        => 'Google Maps API Key',
                'description' => 'Google Maps API Key',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 4,
            ],
            [
                'key'         => 'frontpage_carousel_day',
                'name'        => 'Release in max',
                'description' => 'Release in max',
                'value'       => '21',
                'field'       => '{"name":"value","label":"Value","type":"number","suffix":"Days","hint":"This change can take a few minutes."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => 10,
            ],
            [
                'key'         => 'google_adsense',
                'name'        => 'Enable Google AdSense',
                'description' => 'Enable Google AdSense',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'ads',
                'reorder'     => 1,
            ],
            [
                'key'         => 'google_adsense_code',
                'name'        => 'Google AdSense Code',
                'description' => 'Google AdSense Code',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"textarea","hint":"Best results with responsive ads"}',
                'active'      => 1,
                'category'    => 'ads',
                'reorder'     => 2,
            ],
            [
                'key'         => 'buy_button_ref',
                'name'        => 'Enable Buy Buttton Ref Link',
                'description' => 'Enable Buy Buttton Ref Link',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'ads',
                'reorder'     => 3,
            ],
            [
                'key'         => 'buy_button_ref_merchant',
                'name'        => 'Buy Button Merchant',
                'description' => 'Buy Button Merchant',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text","hint":"For example: Amazon"}',
                'active'      => 1,
                'category'    => 'ads',
                'reorder'     => 4,
            ],
            [
                'key'         => 'buy_button_ref_link',
                'name'        => 'Buy Button Link',
                'description' => 'Buy Button Link',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text","hint":"Add %game_name% to include current game name in the link"}',
                'active'      => 1,
                'category'    => 'ads',
                'reorder'     => 5,
            ],
            [
                'key'         => 'script_version',
                'name'        => 'script_version',
                'description' => 'script_version',
                'value'       =>  self::SCRIPT_VERSION,
                'field'       => '{}',
                'active'      => 1,
                'category'    => '',
                'reorder'     => '',
            ],
            [
                'key'         => 'location_api',
                'name'        => 'Location API',
                'description' => 'location_api',
                'value'       => 'openstreetmap',
                'field'       => '{"name":"value","label":"Value","type":"select","hint":"Location API for the location feature."}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => 6,
            ],
            [
                'key'         => 'picture_upload',
                'name'        => 'Enable Picture Upload',
                'description' => 'picture_upload',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'listing',
                'reorder'     => 1,
            ],
            [
                'key'         => 'watermark',
                'name'        => 'Picture Watermark',
                'description' => 'watermark',
                'value'       => 'img/watermark.png',
                'field'       => '{"name":"value","label":"Value","type":"image_settings","upload":"true","hint":"png with transparent background."}',
                'active'      => 1,
                'category'    => 'listing',
                'reorder'     => 2,
            ],
            [
                'key'         => 'ssl',
                'name'        => 'Force HTTPS (SSL)',
                'description' => 'ssl',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => '5',
            ],
            [
                'key'         => 'decimal_place',
                'name'        => 'Show decimal places on even numbers',
                'description' => 'decimal_place',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"Example for disabled option: 16.00 will be displayed as 16"}',
                'active'      => 1,
                'category'    => 'listing',
                'reorder'     => '3',
            ],
            [
                'key'         => 'recaptcha_register',
                'name'        => 'Enable invisible reCAPTCHA for registration',
                'description' => 'recaptcha_register',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 11,
                'category'    => 'auth',
                'reorder'     => '11',
            ],
            [
                'key'         => 'recaptcha_secret',
                'name'        => 'reCAPTCHA Secret',
                'description' => 'recaptcha_secret',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '12',
            ],
            [
                'key'         => 'recaptcha_sitekey',
                'name'        => 'reCAPTCHA Site Key',
                'description' => 'recaptcha_sitekey',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '13',
            ],
            [
                'key'         => 'distance_unit',
                'name'        => 'Distance unit',
                'description' => 'distance_unit',
                'value'       => 'km',
                'field'       => '{"name":"value","label":"Value","type":"select_from_array","hint":"Unit for the distance between user and listing."}',
                'active'      => 1,
                'category'    => 'listing',
                'reorder'     => '4',
            ],
            [
                'key'         => 'payment',
                'name'        => 'Enable Payment System',
                'description' => 'payment',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '1',
            ],
            [
                'key'         => 'variable_fee',
                'name'        => 'Variable fee',
                'description' => 'variable_fee',
                'value'       => '8',
                'field'       => '{"name":"value","label":"Value","type":"number","hint":"Fee for successful transaction in percentage","prefix":"%"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '2',
            ],
            [
                'key'         => 'fixed_fee',
                'name'        => 'Fixed fee',
                'description' => 'fixed_fee',
                'value'       => '0.35',
                'field'       => '{"name":"value","label":"Value","type":"text","hint":"[Format: 0.00] Fixed fee for successful transaction in your site currency","prefix":"site_currency"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '3',
            ],
            [
                'key'         => 'paypal_sandbox',
                'name'        => 'PayPal Sandbox Mode',
                'description' => 'paypal_sandbox',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '4',
            ],
            [
                'key'         => 'paypal_client_id',
                'name'        => 'PayPal Client-ID',
                'description' => 'paypal_client_id',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '5',
            ],
            [
                'key'         => 'paypal_client_secret',
                'name'        => 'PayPal Secret Key',
                'description' => 'paypal_client_secret',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '6',
            ],
            [
                'key'         => 'comment_game',
                'name'        => 'Game Comments',
                'description' => 'comment_game',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'comment',
                'reorder'     => '1',
            ],
            [
                'key'         => 'comment_listing',
                'name'        => 'Listing Comments',
                'description' => 'comment_listing',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'comment',
                'reorder'     => '2',
            ],
            [
                'key'         => 'comment_article',
                'name'        => 'Article Comments',
                'description' => 'comment_article',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'comment',
                'reorder'     => '3',
            ],
            [
                'key'         => 'comment_max_page',
                'name'        => 'Max comments per page',
                'description' => 'comment_max_page',
                'value'       => '15',
                'field'       => '{"name":"value","label":"Value","type":"number"}',
                'active'      => 1,
                'category'    => 'comment',
                'reorder'     => '4',
            ],
            [
                'key'         => 'comment_throttle',
                'name'        => 'Throttle flood',
                'description' => 'comment_throttle',
                'value'       => '20',
                'field'       => '{"name":"value","label":"Value","type":"number","hint":"Time in seconds between two comments for a user.","prefix":"sec"}',
                'active'      => 1,
                'category'    => 'comment',
                'reorder'     => '5',
            ],
            [
                'key'         => 'locate_position',
                'name'        => 'Locate guest position for distance to listing',
                'description' => 'locate_position',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'localization',
                'reorder'     => '6',
            ],
            [
                'key'         => 'instagram_link',
                'name'        => 'Instagram Link',
                'description' => 'instagram_link',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '8',
            ],
            [
                'key'         => 'stripe_client_id',
                'name'        => 'Stripe Publishable Key',
                'description' => 'stripe_client_id',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '9',
            ],
            [
                'key'         => 'stripe_client_secret',
                'name'        => 'Stripe Secret Key',
                'description' => 'stripe_client_secret',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '8',
            ],
            [
                'key'         => 'paypal',
                'name'        => 'PayPal',
                'description' => 'paypal',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '3',
            ],
            [
                'key'         => 'stripe',
                'name'        => 'Stripe',
                'description' => 'stripe',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '7',

            ],
            [
                'key'         => 'minify_html',
                'name'        => 'Minify HTML',
                'description' => 'minify_html',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'general',
                'reorder'     => '6',

            ],
            [
                'key'         => 'jpeg_quality',
                'name'        => 'JPEG Quality',
                'description' => 'jpeg_quality',
                'value'       => '80',
                'field'       => '{"name":"value","label":"Value","type":"number","hint":"JPEG quality in percentage. Lower value to reduce image file size. [Default: 80]","prefix":"%"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '11',
            ],
            [
                'key'         => 'digital_downloads_only',
                'name'        => 'User can only list digital downloads',
                'description' => 'digital_downloads_only',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"Pickup, delivery and condition option will be disabled."}',
                'active'      => 1,
                'category'    => 'listing',
                'reorder'     => '5',

            ],
            [
                'key'         => 'onesignal',
                'name'        => 'Enable OneSignal Web Push Notifications',
                'description' => 'onesignal',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'notification',
                'reorder'     => '1',
            ],
            [
                'key'         => 'onesignal_app_id',
                'name'        => 'OneSignal App ID',
                'description' => 'onesignal_app_id',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'notification',
                'reorder'     => '2',
            ],
            [
                'key'         => 'onesignal_rest_api_key',
                'name'        => 'OneSignal REST API Key',
                'description' => 'onesignal_rest_api_key',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'notification',
                'reorder'     => '3',
            ],
            [
                'key'         => 'onesignal_safari_web_id',
                'name'        => 'OneSignal Safari Web ID',
                'description' => 'onesignal_safari_web_id',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text","hint":"Optional"}',
                'active'      => 1,
                'category'    => 'notification',
                'reorder'     => '4',
            ],
            [
                'key'         => 'twitch_auth',
                'name'        => 'Enable Twitch Auth',
                'description' => 'twitch_auth',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '14',
            ],
            [
                'key'         => 'twitch_client_id',
                'name'        => 'Twitch Client-ID',
                'description' => 'twitch_client_id',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '15',
            ],
            [
                'key'         => 'twitch_client_secret',
                'name'        => 'Twitch Secret-ID',
                'description' => 'twitch_client_secret',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '16',
            ],
            [
                'key'         => 'steam_auth',
                'name'        => 'Enable Steam Auth',
                'description' => 'steam_auth',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '17',
            ],
            [
                'key'         => 'steam_client_secret',
                'name'        => 'Steam Secret-ID',
                'description' => 'steam_client_secret',
                'value'       => '',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => '18',
            ],
            [

                'key'         => 'default_theme',
                'name'        => 'Default Theme',
                'description' => 'default_theme',
                'value'       => 'default',
                'field'       => '{"name":"value","label":"Value","type":"text"}',
                'active'      => 1,
                'category'    => 'theme',
                'reorder'     => '1',

            ],
            [
                'key'         => 'theme_selector',
                'name'        => 'Theme Selector',
                'description' => 'theme_selector',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"User can select theme in frontend."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '12',
            ],
            [
                'key'         => 'payment_force',
                'name'        => 'Force Payment System',
                'description' => 'payment_force',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"Force user to use the payment system."}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '10',
            ],
            [
                'key'         => 'user_add_item',
                'name'        => 'User can add new games through API',
                'description' => 'user_add_item',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"If disabled, only users with the edit_games permission will be able to add games through the API."}',
                'active'      => 1,
                'category'    => 'game',
                'reorder'     => '4',
            ],
            [
                'key'         => 'cookie_consent',
                'name'        => 'Cookie consent',
                'description' => 'cookie_consent',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"Shows a notification that the site is using cookies."}',
                'active'      => 1,
                'category'    => 'legal',
                'reorder'     => '4',

            ],
            [
                'key'         => 'landing_page',
                'name'        => 'Landing Page',
                'description' => 'landing_page',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"Enable landing page for guests."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '13',

            ],
            [
                'key'         => 'withdrawal_paypal',
                'name'        => 'Withdrawal PayPal',
                'description' => 'withdrawal_paypal',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"User can request a PayPal withdrawal."}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '11',
            ],
            [
                'key'         => 'withdrawal_bank',
                'name'        => 'Withdrawal Bank Transfer',
                'description' => 'withdrawal_bank',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"toggle","hint":"User can request a Bank Transfer withdrawal."}',
                'active'      => 1,
                'category'    => 'payment',
                'reorder'     => '12',
            ],
            [
                'key'         => 'register_checkbox',
                'name'        => 'During registration user need to accept',
                'description' => 'register_checkbox',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"select","hint":"A checkbox will be displayed during registration."}',
                'active'      => 1,
                'category'    => 'legal',
                'reorder'     => '1',
            ],
            [
                'key'         => 'terms_service',
                'name'        => 'Terms of Service page',
                'description' => 'terms_service',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"select","hint":"The page name will be displayed in the frontend."}',
                'active'      => 1,
                'category'    => 'legal',
                'reorder'     => '2',
            ],
            [
                'key'         => 'privacy_policy',
                'name'        => 'Privacy Policy page',
                'description' => 'privacy_policy',
                'value'       => '1',
                'field'       => '{"name":"value","label":"Value","type":"select","hint":"The page name will be displayed in the frontend."}',
                'active'      => 1,
                'category'    => 'legal',
                'reorder'     => '3',
            ],
            [
                'key'         => 'landing_image',
                'name'        => 'Landing Page Image',
                'description' => 'landing_image',
                'value'       => 'img/landing.jpg',
                'field'       => '{"name":"value","label":"Value","type":"image_settings","upload":"true"}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '14',
            ],
            [
                'key'         => 'landing_game',
                'name'        => 'Landing Page Game',
                'description' => 'landing_game',
                'value'       => '0',
                'field'       => '{"name":"value","label":"Value","type":"text","hint":"ID of the game which will be displayed on the landing page [0 = Disabled]."}',
                'active'      => 1,
                'category'    => 'design',
                'reorder'     => '15',
            ],
            [
                'key'         => 'twitter_oauth',
                'name'        => 'Twitter OAuth Version',
                'description' => 'twitter_oauth',
                'value'       => 'twitter-oauth-2',
                'field'       => '{"name":"value","label":"Value","type":"select"}',
                'active'      => 1,
                'category'    => 'auth',
                'reorder'     => 6,
            ],
        ];

        foreach ($settings as $setting) {
            $setting['field'] = json_decode($setting['field']);

            Setting::firstOrCreate(
                ['key' => $setting['key']],
                $setting
            );
        }

        $version = Setting::where('description', 'script_version')->first();

        if ($version && $version->value !== self::SCRIPT_VERSION) {
            $version->value = self::SCRIPT_VERSION;
            $version->save();
        }
    }
}
